%global pname     ttxtsubs
%global vardir    %(vdr-config --vardir     2>/dev/null || echo ERROR)
%global plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%global vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)
%global apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.0.9
Release:        5%{?dist}
Summary:        Teletext subtitles plugin for VDR

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://projects.vdr-developer.org/projects/show/plg-ttxtsubs
Source0:        http://projects.vdr-developer.org/attachments/download/94/%{name}-%{version}.tar.gz
Source1:        %{name}.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  gettext
Requires:       vdr(abi)%{?_isa} = %{apiver}

%{?filter_setup:
%filter_provides_in %{plugindir}/.*\.so
%filter_setup}

%description
This VDR plugin implements displaying, recording and replaying
teletext based subtitles using the on screen display.


%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
f=HISTORY ; iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
sed -i -e 's|ConfigDirectory("ttxtsubs")|"%{vardir}/%{pname}"|' \
    ttxtsubs.c


%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr all


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

install -dm 755 $RPM_BUILD_ROOT%{vardir}/%{pname}
cat /dev/null >$RPM_BUILD_ROOT%{vardir}/%{pname}/channelsettings.dat

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,%{vdr_user},root,-)
%dir %{vardir}/%{pname}/
%ghost %config(noreplace) %{vardir}/%{pname}/channelsettings.dat
%defattr(-,root,root,-)
%doc COPYING HISTORY README TROUBLESHOOTING
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.9-4
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.9-3
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr  7 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.9-1
- 0.0.9.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.8-1
- 0.0.8.
- License: GPLv2+ (already since 0.0.6).

* Fri Dec 19 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.7-1
- 0.0.7.

* Mon Dec 15 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.6-1
- 0.0.6 (new community upstream), patches applied upstream.

* Mon Nov 24 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-6
- Rebuild.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-5
- Rebuild for VDR 1.6.0.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-4
- Rebuild.

* Wed Jan 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-3
- Update raastinrauta patch to 2008-01-22.

* Mon Oct 15 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-2
- Rebuild.

* Sun Sep 30 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-1
- License: GPL+
- Raastinrauta patch re-re-re-re-re-released.

* Tue Aug 28 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.10
- Raastinrauta patch re-re-re-released.

* Fri Aug 24 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.9
- Raastinrauta patch re-re-released.

* Thu Aug  2 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.8
- Raastinrauta patch re-released.

* Wed Jul 25 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.7
- Update Rofa's patch to raastinrauta edition.

* Tue Apr 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.6
- Update Rofa's patch to kermanekka edition, changes from 0.0.5-0.5 applied.

* Mon Apr  9 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.5
- Fix plugin init/shutdown with newish VDR; avoids crashes at shutdown.
- Clean up logging.

* Sat Jan 20 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.4
- Update Rofa's patch to pippurimylly edition.

* Sun Nov 12 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.3
- Move channel settings to /var/lib/vdr.

* Sat Nov 11 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.2
- Own /etc/vdr/plugins/ttxtsubs.

* Sat Nov 11 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.1
- First build.
